!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!! Author: Lukas EXL, last changes: 07.10.2014 !!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program main
 implicit none
 integer(4) :: S, S0, N, numb = 10000
 real(8), parameter :: delta = 1d-4, ep = 5d-14
 real(8) :: abserr, relerr, C0, rho_max = 2.d0, rho_min = delta
 real(8), allocatable :: tau(:), omega(:)
 
 call sinc_control_logr(S,S0,delta,ep)
 N = S-S0+1
 print *, N
 allocate( tau(N), omega(N) )
 call sinc_logr(S,S0,delta/2.d0,tau,omega,C0)  
  
 ! test it
 call sinc_para_logr_test(N,tau,omega,C0,rho_min,rho_max,numb,abserr,relerr)
 print *, 'abserr: ', abserr
 print *, 'relerr: ', relerr
 
 deallocate(tau, omega)
end program